org.wildfly.swarm.config.elytron

## Class AggregateSASLServerFactory<T extends AggregateSASLServerFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateSASLServerFactory<T>

-     public class AggregateSASLServerFactory<T extends AggregateSASLServerFactory<T>>
      extends Object

  A sasl server factory definition where the sasl server factory is an aggregation of other sasl server factories.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateSASLServerFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this factory after all filtering has been applied.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `List<String>` | `saslServerFactories()` The referenced sasl server factories to aggregate.
    `T` | `saslServerFactories(List<String> value)` The referenced sasl server factories to aggregate.
    `T` | `saslServerFactories(String... args)` The referenced sasl server factories to aggregate.
    `T` | `saslServerFactory(String value)` The referenced sasl server factories to aggregate.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateSASLServerFactory

          public AggregateSASLServerFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### saslServerFactories

          public List<String> saslServerFactories()

      The referenced sasl server factories to aggregate.

    - #### saslServerFactories

          public T saslServerFactories(List<String> value)

      The referenced sasl server factories to aggregate.

    - #### saslServerFactory

          public T saslServerFactory(String value)

      The referenced sasl server factories to aggregate.

    - #### saslServerFactories

          public T saslServerFactories(String... args)

      The referenced sasl server factories to aggregate.

Copyright © 2017 JBoss by Red Hat. All rights reserved.